package cn.axzo.workflow.starter.handler.execute.interceptor;

import cn.axzo.workflow.starter.handler.execute.ListenerExecutor;

import java.util.function.Consumer;

public interface ExecuteInterceptor {

    <T> void execute(ListenerExecutor executor, Consumer<T> consumer, T t);

    ExecuteInterceptor getNext();

    void setNext(ExecuteInterceptor next);
}
